Skip to main content
POST
Create Share

Authorizations

Authorization
string
header
required

Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

Body

application/json

API request schema for creating a share

resource_id
string<uuid>
required

Resource being shared

actions
integer
required

Bitmap of allowed actions (VIEW=1, EDIT=2)

name
string | null

User-friendly name for the share

password
string | null

Optional password for share protection

expires_at
string<date-time> | null

Optional expiration timestamp

watermark_id
string<uuid> | null

Watermark configuration to apply to share viewers

visible_metadata_attribute_ids
string<uuid>[] | null

Metadata attribute IDs share users can see (everything else is hidden)

Response

Successful Response

API response schema for a share

id
string<uuid>
required

Share ID (used in URLs)

resource_id
string<uuid>
required

Resource being shared

resource_type
enum<string>
required

Type of resource (COLLECTION, DIRECTORY, ASSET)

Available options:
workspace,
project,
directory,
asset,
symlink,
collection,
canvas
resource_name
string
required

Name of the resource

actions
integer
required

Allowed actions bitmap

has_password
boolean
required

Whether share is password protected

is_active
boolean
required

Whether the share is active

created
string<date-time>
required

Creation timestamp

updated
string<date-time>
required

Last update timestamp

created_by_user_id
string<uuid> | null

User who created the share. Null when that account has been deleted

name
string | null

Share name

expires_at
string<date-time> | null

Expiration timestamp

watermark_id
string<uuid> | null

Watermark configuration applied to share viewers

visible_metadata_attribute_ids
string<uuid>[] | null

Metadata attribute IDs share users can see